#
# spec file for package arpwatch-ethercodes
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2018 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           arpwatch-ethercodes
Version:        20250404
Release:        1.1
Summary:        Ethercodes Data for arpwatch
License:        BSD-3-Clause
Group:          Productivity/Networking/Diagnostic
URL:            https://standards.ieee.org/products-services/regauth/index.html
# can't use url as it's not stable and bots will decline submission. Update it 
# from here: http://standards-oui.ieee.org/oui/oui.csv
Source0:        oui.csv
Source1:        fetch_ethercodes.py
BuildRequires:  python3
BuildArch:      noarch

%description
Fetch OUI and company ID data from IEEE.org prepared for arpwatch.

%prep
%setup -q -cT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%build
# update oui.csv by executing
#  python3 fetch_ethercodes.py -vvtp arpwatch-ethercodes.spec
# in a local build

# (re)generate ethercodes.dat from oui.csv
python3 fetch_ethercodes.py -vvkt

%install
install -Dm0444 ethercodes.dat %{buildroot}/%{_datadir}/arpwatch/ethercodes.dat

%files
%dir %{_datadir}/arpwatch
%{_datadir}/arpwatch/ethercodes.dat

%changelog
* Fri Apr  4 2025 olaf@aepfle.de
- Update to version 20250404
* Thu Dec 12 2024 olaf@aepfle.de
- Update to version 20241212
* Thu Aug  8 2024 olaf@aepfle.de
- Update to version 20240808
* Thu Apr  4 2024 olaf@aepfle.de
- Update to version 20240404
* Tue Dec 12 2023 olaf@aepfle.de
- Update to version 20231212
* Tue Aug  8 2023 olaf@aepfle.de
- Update to version 20230808
* Thu Apr 20 2023 olaf@aepfle.de
- Update to version 20230420
- Inject a QEMU/KVM entry
* Thu Feb  9 2023 olaf@aepfle.de
- Update to version 20230209
* Mon Dec 12 2022 olaf@aepfle.de
- Update to version 20221212
* Fri Nov 11 2022 olaf@aepfle.de
- sort existing oui.csv to show differences in future updates
- sort downloaded oui.csv
- move vim commands to a place where vim can find the commands
* Tue Nov 10 2020 Johannes Segitz <jsegitz@suse.com>
- Removed URL for source0 as this causes issues with our bots
* Mon Oct 26 2020 Hans-Peter Jansen <hpj@urpla.net>
- Update to version 20201026_100149
* Wed Sep 26 2018 Hans-Peter Jansen <hpj@urpla.net>
- supply a new python3 script, that fetches (in local builds) and
  generates ethercodes.dat
- update to version 20180926_160344
* Sun Mar 27 2016 mpluskal@suse.com
- Update to 2016-03-28
* Fri Jun 19 2015 lmuelle@suse.com
- merge oui data base from 2015-06-19
* Wed Jul  2 2014 coolo@suse.com
- manual update on 2014-07-02
* Sun Feb 10 2013 autobuild@suse.de
- automated update on 2013-02-10
* Tue Sep 20 2011 autobuild@suse.de
- automated update on 2011-09-20
* Sat Jul 23 2011 autobuild@suse.de
- automated update on 2011-07-23
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Nov  6 2004 lmuelle@suse.de
- Change arpwatch of neededforbuild to arpwatch-ethercodes-build.
* Sat Nov  6 2004 lmuelle@suse.de
- Ensure size of ethercodes.dat is not zero, [#48005].
* Wed Oct  6 2004 ro@suse.de
- make package noarch
* Fri Jun 25 2004 lmuelle@suse.de
- Initial package.
